#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int limit = 1e6;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, k, x;
    cin >> n >> k >> x;
    if (n == k) {
        cout << -1 << endl;
        return 0;
    }
    if (k == 3) {
        vector<int> sol;
        sol.pb(1);
        for (int i = 1; i<=3; i++)
            sol.pb(sol[i-1] + x);
        if (x == 2) {
            for (int i = 4; i<n; i++)
                sol.pb(limit - i);
        }
        else {
            for (int i = 4; i<n; i++) {
                sol.pb(limit - i * 2);
            }
        }
        for (int i = 0; i<n; i++) 
            cout << sol[i] << " ";
    }
    return 0;
}